/*++

Copyright (c) Sydus.

Module:

    Lcprng.h

Authors:

    Sharvil Nanavati (sharvil) 2005-11-25

--*/

#pragma once

#include "base.h"

class Lcprng
{
	public:
		Lcprng();
		explicit Lcprng(uint32 seed);
		~Lcprng();

		uint32 Limit() const;

		void Seed(uint32 seed);
		uint32 Random();

	private:
		uint32 iSequence;
};
