/*++

Copyright (c) Sydus.

Module:

    UdpServer.h

Authors:

    Sharvil Nanavati (sharvil) 2006-08-05

--*/

#pragma once

#include "base.h"
#include "ServerSocket.h"

class InetAddress;

class UdpServer : public ServerSocket
{
	public:
		UdpServer();
		~UdpServer();

		uint32 Read(InetAddress & source, void * buffer, uint32 size) const;
		uint32 Write(const InetAddress & destination, const void * buffer, uint32 size) const;

		BString Read(InetAddress & source, uint32 maxLength) const;
		uint32 Write(const InetAddress & destination, const BString & packet) const;
};
