/*++

Copyright (c) Sydus.

Module:

    Mutex_Win32.h

Authors:

    Sharvil Nanavati (sharvil) 2006-01-14

--*/

#pragma once

#include "base.h"
#include "IMutexImplementation.h"

class Mutex_Win32 : public IMutexImplementation
{
	friend class Mutex;

	private:
		Mutex_Win32();
		~Mutex_Win32();

		bool TryLock();
		void Lock();
		void Unlock();

	private:
		CRITICAL_SECTION iMutex;
};
